Bug 583804 - system-config-display obsoleted, remove?
system-config-display obsoleted, remove?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 15:00 EDT by Máirín Duffy
Modified: 2011-06-27 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2010-04-19 15:00:52 EDT
Description of problem:

system-config-display is now obsoleted by the gnome system display preferences dialog. it can be a confusing experience for a user to have to deal with both. is there a way we could remove system-config-display?

thanks,
~m
Comment 1 xunilarodef 2010-06-11 17:39:26 EDT
  This might be a valid question if gnome system display preferences
(System, Preferences, Monitors) were at least as competent as 
system-config-display was once upon a time.  I still see systems where
neither provides a choice for the desired display resolution.  I would
vote for continued genetic diversity until one or the other of these
tools is fully competent and capable.
Comment 2 xunilarodef 2010-06-14 14:22:36 EDT
  It is also worth explicitly recognizing that not all users rely upon
GNOME.  Fedora users also make use of at least the KDE, the XFCE, the Fluxbox,
the Sugar, and the LXDE desktop environments [1].  So, for this claim of obsolescence for system-config-display to ring true, one would need to
establish that:
- each of the six or more desktop suites include a competent display
  resolution selection applet, and
- none of those tools depend upon or are mere wrappers for 
  system-config-display. 
[1] e.g. https://fedoraproject.org/wiki/User_Guide_-_The_Fedora_Desktops
Comment 3 Bug Zapper 2011-06-02 11:04:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 11:44:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.